.equ SPLC_PORT = $15			; In diesem Fall ist es PORTC =>$15

; Daten fuer gueltig erklaeren
splc_enable:
	sbi SPLC_PORT, 5        	; Enable auf HIGH
	rcall delay5ms
    cbi SPLC_PORT, 5        	; Enable wieder LOW
	rcall delay5ms
    ret 


; Initialisierung des Displays
splc_init:
	cbi SPLC_PORT, 5        	; Enable erst mal LOW, da mit fallender Flanke Uebernahme 
	ldi	temp3,50
powerupwait:
    rcall	delay5ms
    dec	temp3
    brne	powerupwait			; Wartezeit von 50 * 5 ms
    ldi temp1, 0b00000011 		; Muss 3 mal ausgefehrt 
    out SPLC_PORT, temp1        ; werden zur Initialisierung
    rcall splc_enable           ; 1
    rcall delay5ms
    rcall splc_enable           ; 2
    rcall delay5ms
    rcall splc_enable           ; und 3 !
    rcall delay5ms
	ldi temp1,0b00000010		; Umschalten in 4-Bit Modus
    out SPLC_PORT, temp1 		; Muss 2 mal ausgefuehrt werden
    rcall splc_enable           ; 1
    rcall delay5ms
    rcall splc_enable           ; und 2 !
    rcall delay5ms
	ldi temp1,0b00001111		; Einstellung 2 Zeilen
    rcall splc_enable           
    rcall delay5ms
	ldi temp1,0b00000000		; ...laut Datenblatt
    rcall splc_enable           
    rcall delay5ms
	ldi temp1,0b00000001		; Display clear
    rcall splc_enable           
    rcall delay5ms
	ldi temp1,0b00000000		; ...laut Datenblatt
    rcall splc_enable           
    rcall delay5ms
	ldi temp1,0b00000101		; Display shift right		
    rcall splc_enable           
    rcall delay5ms
	ret



; Pause nach jeder bertragung
delay50us:                              ;50us Pause
           ldi  temp1, $42
delay50us_:dec  temp1
           brne delay50us_
           ret                          ;wieder zurck



; Lngere Pause fr manche Befehle
delay5ms:                               ;5ms Pause
           ldi  temp1, $21
WGLOOP0:   ldi  temp2, $C9
WGLOOP1:   dec  temp2
           brne WGLOOP1
           dec  temp1
           brne WGLOOP0
           ret    